/**
 * 
 */
package sim.math;

/**
 * L'interface <b>SStatistical</b> reprsente un objet pouvant tre analys dans un calcul statistique.
 * 
 * @author Simon Vzina
 * @since 2016-02-03
 * @version 2016-02-03
 */
public interface SStatistical {

  /**
   * Mthode pour obtenir une valeur de type <b>double</b> de l'objet pouvant tre analyse dans un calcul de statistique.
   * 
   * @return La valeur  analyser statistiquement.
   */
  public double getStatisticalValue();
  
}//fin de l'interface SStatistical
